Bug 478072 - MIGRATED_FROM_JIRA: Penrose does not support concatenated attribute in RDN
MIGRATED_FROM_JIRA: Penrose does not support concatenated attribute in RDN
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:56 EST by Chandrasekar Kannan
Modified: 2016-01-28 16:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:56:31 EST
Although Penrose supports concatenated attributes like:
commonName = givenName + " " + surname

it does not support the use of such concatenated attributes for RDNs. The commonName (cn) attribute is perhaps the most popular choice for RDNs in the directory world.

Additional Comments From endisd dated Fri Sep 02 17:53:08 CDT 2005 
This is fixed in 0.9.5.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'key' => 'PENROSE-76',
          'assignee' => 'endisd',
          'summary' => 'Penrose does not support concatenated attribute in RDN',
          'id' => '10265',
          'updated' => '2005-10-28 14:05:44.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-09-15 00:00:00.0',
                             'sequence' => '5',
                             'name' => 'Penrose-0.9.5',
                             'released' => 'true',
                             'id' => '10022',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-07-26 00:00:00.0',
                                 'sequence' => '3',
                                 'name' => 'Penrose-0.9.3',
                                 'released' => 'true',
                                 'id' => '10020',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'Although Penrose supports concatenated attributes like:
commonName = givenName + " " + surname

it does not support the use of such concatenated attributes for RDNs. The commonName (cn) attribute is perhaps the most popular choice for RDNs in the directory world.
',
          'created' => '2005-09-01 21:42:53.0',
          'environment' => 'Linux',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:56:33 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-76

Note You need to log in before you can comment on or make changes to this bug.